#ifndef __KYLIN_AI_GEN_AI_TEXT_CHAT_MESSAGE_H__
#define __KYLIN_AI_GEN_AI_TEXT_CHAT_MESSAGE_H__

#include <common/macros.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ChatMessage ChatMessage;

AISDK_EXTERN
ChatMessage *chat_message_create();

AISDK_EXTERN
void chat_message_destroy(ChatMessage **chat_message);

AISDK_EXTERN
void chat_message_add_system_message(ChatMessage *chat_message,
                                     const char *message);

AISDK_EXTERN
void chat_message_add_user_message(ChatMessage *chat_message,
                                   const char *message);

AISDK_EXTERN
void chat_message_add_assistant_message(ChatMessage *chat_message,
                                        const char *message);

#ifdef __cplusplus
}
#endif

#endif  // __KYLIN_AI_GEN_AI_TEXT_CHAT_MESSAGE_H__
